# 跨端協同|dde-cooperation|

### 概述

跨端協同是一款幫助用戶在多個設備間進行協同辦公的軟件，它能在windows和UOS設備之間實現文件投送、鍵鼠共享、剪貼板共享。

UOS端可通過在**應用商店**中搜索“跨端協同”獲取應用；Windows端可訪問[https://www.chinauos.com/resource/assistant](https://www.chinauos.com/resource/assistant)獲取。

### 連接設備

**1. 通過設備列表選擇連接設備**

在“跨端協同”應用開啟後，設備會自動掃描同一***網段***下的其他設備，被掃描出來的設備會顯示在應用的設備列表中，如下圖：

![listofdevices](./fig/listofdevices.png)

找到目標協同設備（可通過計算機名、IP進行識別），點擊連接![dde-cooperation](../common/connect.svg)後，完成兩台設備的連接。

**2. 通過搜索設備IP連接設備**

在搜索框內，搜索目標協同設備的IP，點擊連接![dde-cooperation](../common/connect.svg)後，完成兩台設備的連接。

### 文件投送

**1. 通過協同設備列表-文件投送按鈕進行投送**

當兩台設備處於協同狀態下，在設備列表界面點擊![dde-cooperation](../common/send.svg)，在選擇文件窗口中，選擇需要發送的文件，點擊**確定**，即開始文件投送。

**2. 通過文件-右鍵菜單進行投送**

鼠標右鍵點擊想要發送的文件，選擇**發送到-文件投送**，在設備列表中，選擇需要投送的目標設備，即開始文件投送。

```
PS：如果是投送到Windows端，需要將Windows端的跨端協同應用保持開啟狀態。
```

### 鍵鼠共享

當A、B兩台設備處於協同狀態時，且B電腦的設置項中鍵鼠共享開關處於開啟時，使用A電腦的鼠標、鍵盤可直接控制B電腦。鼠標可根據設置項中的螢幕拼接方式在兩台電腦的螢幕之間互相穿透。

### 剪貼板共享

當A、B兩台設備處於協同狀態時，且發起共享的設備設定項中的“剪貼板共享”開關處於開啟時，兩台電腦將共享一個剪貼板，可以實現在A設備中複製，B設備中黏貼的功能。

### 跨端協同設置

您可以通過點擊標題欄![dde-cooperation](../common/menu.svg)選擇**設置**進入跨端協同的設置界面。

1. 可被發現

用於控制當前設備是否可被其他同網段下的設備自動搜索，可以選擇所有人、不允許。

2. 設備暱稱

便於其他設備通過此暱稱發現你，設備暱稱默認為此設備的計算機名。

3. 外設共享

開啟後，允許協同中的另外一台設備的鍵盤、鼠標、觸控板控制此設備。

4. 連接方向

用於控制與協同設備螢幕拼接的位置關係。

5. 允許以下用戶向我投送文件

用於控制同一局域網內其他用戶向我投送文件的權限，可選擇所有人、正在協同的人、不允許。

6. 文件保存位置

設置接收到的文件的儲存路徑，默認在當前用戶下載目錄下以對方設備暱稱命名的文件夾內。您也可以設置選擇其他目錄作為默認存儲路徑。

7. 剪貼板共享

控制是否與協同的設備公用剪貼板。協同的發起方作為服務端，只要發起方開啟此功能，雙方即共享剪貼板。

### 常見問題

Q：為甚麼在設備列表中無法發現我的另外一台設備？

A：無法發現設備有以下幾種情況，請逐一排查：

1. 設備都需開啟“跨端協同”應用，才可以被發現；
2. 設備不在同一局域網，或者在同一個局域網但是不在同一個網段。此種情況下，請先確保兩台設備在同一個局域網下，然後在搜索框內搜索目標設備的IP來發現設備；
3. 檢查設置-可被發現-“允許同一局域網下的所有人”。

Q：如何判斷我的兩台設備是否在同一網段下？

A：通常情況下，可以檢查IP位址的前三位，如果都一致即在同一網段下。

Q：跨端協同或者文件投送中的數據傳輸是否安全？

A：數據採用protobuf序列化後SSL/TLS1.3加密傳輸，保證傳輸過程數據的安全。















